Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaInterfaceWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaWriter
            |
            +--org.apache.axis.wsdl.toJava.JavaClassWriter
                  |
                  +--org.apache.axis.wsdl.toJava.JavaInterfaceWriter

All Implemented Interfaces:
  Generator

public class JavaInterfaceWriter
extends JavaClassWriter

This is Wsdl2java's PortType Writer. It writes the .java file which contains the interface.

Field Summary
`protected BindingEntry` | `bEntry`
`protected javax.wsdl.PortType` | `portType`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`protected` | `JavaInterfaceWriter(Emitter emitter, PortTypeEntry ptEntry, BindingEntry bEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Override generate method to prevent duplicate interfaces because of two bindings referencing the same portType
`protected java.lang.String` | `getClassText()` Returns "interface ".
`protected java.lang.String` | `getExtendsText()` Returns "extends java.rmi.Remote ".
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the portType interface file.
`protected void` | `writeOperation(java.io.PrintWriter pw, javax.wsdl.Operation operation)` This method generates the interface signatures for the given operation.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getFileName, getImplementsText, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getPrintWriter, isFileGenerated, verboseMessage, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portType

    protected javax.wsdl.PortType portType

### bEntry

    protected BindingEntry bEntry

Constructor Detail

### JavaInterfaceWriter

    protected JavaInterfaceWriter(Emitter emitter,
                                  PortTypeEntry ptEntry,
                                  BindingEntry bEntry,
                                  SymbolTable symbolTable)

  Constructor.

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Override generate method to prevent duplicate interfaces because of two bindings referencing the same portType
  Overrides:
    `generate` in class `JavaWriter`

### getClassText

    protected java.lang.String getClassText()

  Returns "interface ".
  Overrides:
    `getClassText` in class `JavaClassWriter`

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns "extends java.rmi.Remote ".
  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Following copied from class: `org.apache.axis.wsdl.toJava.JavaClassWriter`
  Returns:
    ""

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the portType interface file.
  Overrides:
    `writeFileBody` in class `JavaWriter`

### writeOperation

    protected void writeOperation(java.io.PrintWriter pw,
                                  javax.wsdl.Operation operation)
                           throws java.io.IOException

  This method generates the interface signatures for the given operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.